Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456267 - lusermod does not check the length of login
Summary: lusermod does not check the length of login
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libuser
Version: 10
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 646397
TreeView+ depends on / blocked
 
Reported: 2008-07-22 15:19 UTC by Milos Malik
Modified: 2010-10-25 10:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 646397 (view as bug list)
Environment:
Last Closed: 2009-09-14 17:18:47 UTC


Attachments (Terms of Use)

Description Milos Malik 2008-07-22 15:19:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.16) Gecko/20080715 Fedora/2.0.0.16-1.fc8 Firefox/2.0.0.16

Description of problem:
luseradd checks the length of login, but lusermod does not.

Version-Release number of selected component (if applicable):
libuser-0.56.6-2

How reproducible:
Always


Steps to Reproduce:
# luseradd  user-whose-login-has-34-characters
Error creating group `user-whose-login-has-34-characters': name is too long (34 > 31)
# echo $?
1
# grep user-whose-login /etc/passwd
# grep user-whose-login /etc/group
# luseradd user-whose-login
# echo $?
0
# lusermod -l user-whose-login-has-34-characters user-whose-login
# echo $?
0
# grep user-whose-login /etc/passwd
user-whose-login-has-34-characters:x:501:501:user-whose-login:/home/user-whose-login:/bin/bash
# grep user-whose-login /etc/group
user-whose-login:x:501:
# luserdel -r user-whose-login-has-34-characters
# echo $?
0
# grep user-whose-login /etc/passwd
# grep user-whose-login /etc/group
user-whose-login:x:501:


Actual Results:
lusermod -l accepts login longer than 32 characters

Expected Results:
lusermod -l rejects login longer than 32 characters

Additional info:

Comment 1 Miloslav Trmač 2008-07-23 13:45:22 UTC
Thanks, good catch.

Comment 2 Bug Zapper 2008-11-26 11:01:30 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Miloslav Trmač 2009-09-14 17:18:47 UTC
Fixed in rawhide libuser-0.56.11-1.


Note You need to log in before you can comment on or make changes to this bug.